<?php

namespace Osinet\DemoBundle\DependencyInjection;

use Osinet\DemoBundle\Controller\DemoController;
use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;
use Symfony\Component\HttpKernel\DependencyInjection\Extension;

class OsinetDemoExtension extends Extension {

  /**
   * Loads a specific configuration.
   *
   * @throws \InvalidArgumentException When provided tag is not defined in this extension
   */
  public function load(array $configs, ContainerBuilder $container) {
    $loader = new YamlFileLoader(
      $container,
      new FileLocator(__DIR__ . '/../Resources/config')
    );
    $loader->load('services.yml');

    $this->addAnnotatedClassesToCompile([
      DemoController::class,
    ]);
  }
}
